package com.extensibility.xml.xsdl19990506;

import com.extensibility.xml.BaseDeclaration;
import com.extensibility.xml.BaseFlavor;
import com.extensibility.xml.SchemaIntf;
import com.extensibility.xml.URI;
import com.extensibility.xml.XSDLWriter;
import java.io.IOException;
import java.io.Writer;

public class XSDLFlavor extends BaseFlavor {
   public static final String NAME = "xsd.1999.05.06";

   public XSDLFlavor(SchemaIntf var1) {
      super(var1);
   }

   public String getFlavorName() {
      return "xsd.1999.05.06";
   }

   public boolean isSupported(Class var1) {
      return true;
   }

   public void parse(URI var1, URI var2, int var3, Object var4) throws IOException {
      (new XSDLReader(super.schema)).parse(var1);
   }

   public void write(Writer var1) throws IOException {
      this.write(var1, super.schema.getURI());
   }

   public void write(Writer var1, URI var2) throws IOException {
      (new XSDLWriter(super.schema, var2)).writeDocument(var1);
   }

   public String getSourcePreview(BaseDeclaration var1) {
      return (new XSDLWriter(super.schema)).getSourcePreview(var1);
   }

   public void checkForErrors(BaseDeclaration var1) {
      super.checkForErrors(var1);
   }

   public boolean isSupported(String var1) {
      if (var1.equals("GESTALT_OPEN_CONTENT")) {
         return true;
      } else if (var1.equals("GESTALT_GLOBAL_ATTRS")) {
         return true;
      } else if (var1.equals("GESTALT_LOCAL_TAG")) {
         return true;
      } else if (var1.equals("GESTALT_MIN_MAX_OCCURS")) {
         return true;
      } else if (var1.equals("GESTALT_MULTI_INSTANCE_MODULES")) {
         return true;
      } else {
         return var1.equals("GESTALT_NMTOKEN_ENUM_REQUIRED") ? true : super.isSupported(var1);
      }
   }
}
